E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (const std::string &code_ident, const std::string &thishost, const GNet::Address &peer_address)
| Constructor.
virtual std::string | greeting () const override
| Override from GSmtp::ServerProtocol::Text.
virtual std::string | hello (const std::string &smtp_peer_name_from_helo) const override
| Override from GSmtp::ServerProtocol::Text.
virtual std::string | received (const std::string &smtp_peer_name_from_helo, bool authenticated, bool secure) const override
| Override from GSmtp::ServerProtocol::Text.

## Static Public Member Functions
static std::string | receivedLine (const std::string &smtp_peer_name_from_helo, const std::string &peer_address, const std::string &thishost, bool authenticated, bool secure)
| Returns a standard "Received:" line.

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 289 of file gserverprotocol.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.cpp